Fix partx usage error (#966574)

This commit is contained in:
Juerg Haefliger 2013-11-22 09:47:22 +00:00
parent d78b10a5e5
commit ddc1c87852
2 changed files with 32 additions and 2 deletions

View File

@ -0,0 +1,25 @@
From e14d60d17e4447a92c5127e0a5cc3312e0215014 Mon Sep 17 00:00:00 2001
From: Juerg Haefliger <juerg.haefliger@hp.com>
Date: Fri, 22 Nov 2013 09:40:21 +0100
Subject: [PATCH] supress partx usage error
---
bin/growpart | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/bin/growpart b/bin/growpart
index 85c2d1f..595c40b 100755
--- a/bin/growpart
+++ b/bin/growpart
@@ -448,7 +448,7 @@ verify_ptupdate() {
fi
if command -v partx >/dev/null 2>&1; then
- partx --help | grep -q -- --update || {
+ partx --help 2>/dev/null | grep -q -- --update || {
reason="partx has no '--update' flag in usage."
found="off"
}
--
1.8.3.2

View File

@ -1,13 +1,14 @@
Summary: Cloud image management utilities Summary: Cloud image management utilities
Name: cloud-utils Name: cloud-utils
Version: 0.27 Version: 0.27
Release: 9%{?dist} Release: 10%{?dist}
License: GPLv3 License: GPLv3
Group: System Environment/Base Group: System Environment/Base
URL: https://launchpad.net/cloud-utils/trunk/0.27/+download/cloud-utils-0.27.tar.gz URL: https://launchpad.net/cloud-utils/trunk/0.27/+download/cloud-utils-0.27.tar.gz
Source0: %{name}-%{version}.tar.gz Source0: %{name}-%{version}.tar.gz
Source1: LICENSE Source1: LICENSE
Patch0: 0001-supress-partx-usage-error.patch
# Don't build the cloud-utils main package on EPEL architectures that don't # Don't build the cloud-utils main package on EPEL architectures that don't
# have qemu-img. Which means we need to make it a no-noarch package for EPEL # have qemu-img. Which means we need to make it a no-noarch package for EPEL
@ -65,6 +66,7 @@ package to grow the root partition on first boot.
%prep %prep
%setup -q %setup -q
%patch0 -p1
%build %build
@ -118,6 +120,9 @@ cp man/growpart.* $RPM_BUILD_ROOT/%{_mandir}/man1/
%changelog %changelog
* Fri Nov 22 2013 Juerg Haefliger <juergh@gmail.com> - 0.27-10
- [966574] growpart spits out a non-fatal error
* Fri Aug 16 2013 Juerg Haefliger <juergh@gmail.com> - 0.27-9 * Fri Aug 16 2013 Juerg Haefliger <juergh@gmail.com> - 0.27-9
- Prevent building of debuginfo packages. - Prevent building of debuginfo packages.
- Fix 32-bit arch type. - Fix 32-bit arch type.